package de.communardo.confluence.plugins.configuration;

import java.util.ArrayList;
import java.util.List;

import de.communardo.confluence.plugins.addlink.Link;
import de.communardo.confluence.plugins.util.BandanaHelper;

/**
 * 
 * @author Bill Martin
 * 
 */
public class StaticLinkHelper {

	/**
	 * Hidden constructor
	 */
	private StaticLinkHelper() {

	}

	/**
	 * 
	 * @return List of links.
	 */
	public static List<Link> loadLinks() {
        return (ArrayList<Link>) BandanaHelper.loadViaBandana(null,
				"de.communardo.confluence.plugins.subspace.links");
	}

	/**
	 * 
	 * @param links
	 */
	public static void storeLinks(List<Link> links) {
        BandanaHelper.storeViaBandana(null,
				"de.communardo.confluence.plugins.subspace.links", links);
	}

}
