AJS.toInit(	function() {
	
	//ie 7 bugfix for hovering menu elements with different size
	if ( jQuery.browser.msie && jQuery.browser.version == "7.0" ) {
		jQuery('div.subspaces-menu li ul').hover(function(){
			jQuery(this).children('li').children('a').css('width', jQuery(this).width()-40+"px");
		});
	}
});



var operationInProgressArray = new Array(); // use this array to prevent the user from triggering off another labelling operation when one is in progress

function subspacesToggleStar(imgElement)
{
   var imagePath = imgElement.src;
   var contextPath = jQuery('#confluence-context-path').attr('content');
   if (imgElement.src.indexOf("star_grey.gif") != -1)
       imgElement.src = contextPath + '/images/icons/star_yellow.gif';
   else
       imgElement.src = contextPath + '/images/icons/star_grey.gif';
}

function subspacesAddOrRemoveFromFavourites(spaceKey, imgElement, compatibility)
{
   if (operationInProgressArray[imgElement.id] == null) {

       operationInProgressArray[imgElement.id] = true;

       var url;
       var contextPath = jQuery('#confluence-context-path').attr('content');
      
       var pathElement = "json";
       
       if(compatibility) {
    	   pathElement = "labels"
       }

       if (imgElement.src.indexOf("star_yellow.gif") != -1) { // if on
           url = contextPath + "/"+pathElement+"/removespacefromfavourites.action";
       }
       else {
           url = contextPath + "/"+pathElement+"/addspacetofavourites.action";
       }
       AJS.safe.ajax({
           url: url,
           type: "POST",
           data: { "key" : spaceKey },
           success: function() {
        	   subspacesToggleStar(imgElement);
               operationInProgressArray[imgElement.id] = null;
           },
           error: function(xhr, text, error) {
               
        	   if(compatibility) {
            	   alert("Error : " + text);
            	   operationInProgressArray[imgElement.id] = null;
        	   }
               else  {
            	   operationInProgressArray[imgElement.id] = null;
            	   //second try
            	   subspacesAddOrRemoveFromFavourites(spaceKey, imgElement, true)
               }
            }
       });
   }
}

function subspacesGotoUrl(url)
{
   for (var elementId in operationInProgressArray)
   {
       if (operationInProgressArray[elementId] == true)
           return;
   }
   window.location = url;
}
