AJS.toInit( function() {
    
    // click functionalities when edit button for link is clicked
    jQuery(".edit_link").click(function() {
        var linkId = jQuery(this).attr("id").replace("edit_link_", "");
        // toggle edit and save
        jQuery(this).hide();
        jQuery('#save_link_' + linkId).removeClass('hidden');
        modeEdit(linkId);
        return false;
    });
    
    // click functionalities when save button for link is clicked
    jQuery(".save_link").click(function() {
        var linkId = jQuery(this).attr("id").replace("save_link_", "");
        save(linkId);
        return false;
    });
        
    function modeEdit( linkId ){
        jQuery("#link_alias_" + linkId).removeClass("readonly");
        jQuery("#link_alias_" + linkId).removeAttr("readonly");
        jQuery("#link_target_" + linkId).removeClass("readonly");
        jQuery("#link_target_" + linkId).removeAttr("readonly");
    }
    
    function save( linkId ){
        var form = jQuery("#doeditlinkform");
        form.append('<input type="text" name="id" value="' + linkId + '"/>');
        form.append('<input type="text" name="alias" value="' + jQuery("#link_alias_" + linkId).val() + '"/>');
        form.append('<input type="text" name="target" value="' + jQuery("#link_target_" + linkId).val() + '"/>');
        form.submit();
    }   
    
    
    jQuery(".button").each(function(index) {
        jQuery(this).css("cursor","pointer"); 
        hideButton(jQuery(this));
    });
    
    function hideButton( button ){
        if(button.hasClass("up") || button.hasClass("indent")){
            if(button.parent().prev().size() == 0){
                button.hide();
            }
        }else if(button.hasClass("down")){
            if(button.parent().next().size() == 0){
                button.hide();
            }
        }else if(button.hasClass("unindent")){
            if(button.parents('li').size() == 1){
                button.hide();
            }
        }
    }
      
});
